import { IsNotEmpty, IsNumber, IsString } from "class-validator";

export class CreateChickenDto {
    @IsNotEmpty({ message: '用户ID不能为空' })
    @IsNumber()
    uid: number;

    @IsString()
    token: string;
    
    schedule?: number;
    eat_start?: number;
    eat_end?: number;
    eat_time?: number;
    create_time?: Date;
}
