import { IsInt, IsNotEmpty, IsString } from 'class-validator';

export class BuyGoodsUserDto {
    @IsNotEmpty({ message: '用户ID不能为空' })
    @IsInt()
    userid: number;

    @IsNotEmpty({ message: '用户token不能为空' })
    @IsString()
    token: string;

    @IsNotEmpty({ message: '用户购买商品ID不能为空' })
    @IsInt()
    goodsid: number;

    @IsNotEmpty({ message: '用户购买商品商品数量不能为空' })
    @IsInt()
    goods_count: number;
}
