import { Module } from '@nestjs/common';
import { OrderlogService } from './orderlog.service';
import { OrderlogController } from './orderlog.controller';
import { TypeOrmModule } from '@nestjs/typeorm';
import { OrderlogEntity } from './entities/orderlog.entity';

@Module({
  imports: [TypeOrmModule.forFeature([OrderlogEntity])],
  controllers: [OrderlogController],
  exports: [OrderlogService],
  providers: [OrderlogService]
})
export class OrderlogModule { }
